# rpmqv.c File Reference

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "rpmdb.h"`
`#include "rpmps.h"`
`#include "rpmts.h"`
`#include "fs.h"`
`#include "debug.h"`
Include dependency graph for rpmqv.c:

Go to the source code of this file.

## Defines

#define | _AUTOHELP
#define | MODES_QV (MODE_QUERY | MODE_VERIFY)
#define | MODES_IE (MODE_INSTALL | MODE_ERASE)
#define | MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)
#define | MODES_K (MODE_CHECKSIG | MODE_RESIGN)
#define | MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)
#define | MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)
#define | MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)
#define | MODES_FOR_TEST (MODES_BT | MODES_IE)
#define | MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)

## Enumerations

enum | modes { MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3) }

## Functions

static void | argerror (const char *desc)
static void | printVersion (FILE *fp)
static void | printUsage (poptContext con, FILE *fp, int flags)
int | main (int argc, const char **argv, char **envp)

## Variables

const char * | __progname
static struct poptOption | optionsTable []

## Define Documentation

#define _AUTOHELP

Definition at line 6 of file rpmqv.c.

#define MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)

Definition at line 63 of file rpmqv.c.

#define MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)

Definition at line 72 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

Definition at line 78 of file rpmqv.c.

#define MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)

Definition at line 79 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)

Definition at line 81 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_TEST (MODES_BT | MODES_IE)

Definition at line 80 of file rpmqv.c.

Referenced by main().

#define MODES_IE (MODE_INSTALL | MODE_ERASE)

Definition at line 57 of file rpmqv.c.

Referenced by main().

#define MODES_K (MODE_CHECKSIG | MODE_RESIGN)

Definition at line 67 of file rpmqv.c.

Referenced by main().

#define MODES_QV (MODE_QUERY | MODE_VERIFY)

Definition at line 53 of file rpmqv.c.

Referenced by main().

## Enumeration Type Documentation

enum modes

Enumerator:

  MODE_QUERY |
  MODE_VERIFY |

Definition at line 49 of file rpmqv.c.

## Function Documentation

static void argerror | ( | const char * | desc | ) | `[static]`

Definition at line 151 of file rpmqv.c.

References _, __progname, and EXIT_FAILURE.

Referenced by main().

int main | ( | int | argc,
|  | const char ** | argv,
|  | char ** | envp |
| ) |  |  |

Definition at line 366 of file rpmqv.c.

References _, __progname, _free(), _noTransScripts, _noTransTriggers, argerror(), build(), rpmBuildArguments_s::buildAmount, rpmBuildArguments_s::buildChar, rpmBuildArguments_s::buildMode, rpmBuildArguments_s::cookie, rpmQVKArguments_s::depFlags, EXIT_FAILURE, freeNames(), Getpass, global_depFlags, rpmQVKArguments_s::incldocs, rpmQVKArguments_s::init, INSTALL_ALLMATCHES, INSTALL_ERASE, INSTALL_FRESHEN, INSTALL_HASH, INSTALL_INSTALL, INSTALL_NODEPS, INSTALL_PERCENT, INSTALL_UPGRADE, rpmQVKArguments_s::installInterfaceFlags, MODE_QUERY, MODE_VERIFY, MODES_DB, MODES_FOR_NODEPS, MODES_FOR_ROOT, MODES_FOR_TEST, MODES_IE, MODES_K, MODES_QV, rpmRelocation_s::newPath, rpmBuildArguments_s::noDeps, rpmQVKArguments_s::noDeps, rpmQVKArguments_s::numRelocations, rpmRelocation_s::oldPath, rpmQVKArguments_s::passPhrase, rpmBuildArguments_s::passPhrase, printUsage(), rpmQVKArguments_s::probFilter, rpmQVKArguments_s::qva_flags, rpmQVKArguments_s::qva_mode, rpmQVKArguments_s::qva_prefix, rpmQVKArguments_s::qva_queryFormat, rpmQVKArguments_s::qva_source, rpmQVKArguments_s::qva_sourceCount, rpmQVKArguments_s::qva_specQuery, rpmQVKArguments_s::rbCheck, rpmQVKArguments_s::rbOrder, rpmQVKArguments_s::rbRun, rpmQVKArguments_s::rbtid, rpmQVKArguments_s::rebuild, rpmQVKArguments_s::relocations, RMIL_CMDLINE, rpmBuildArguments_s::rootdir, rpmBTArgs, RPMBUILD_BUILD, RPMBUILD_CHECK, RPMBUILD_CLEAN, RPMBUILD_FETCHSOURCE, RPMBUILD_FILECHECK, RPMBUILD_INSTALL, RPMBUILD_PACKAGEBINARY, RPMBUILD_PACKAGESOURCE, RPMBUILD_PREP, RPMBUILD_RMBUILD, RPMBUILD_RMSOURCE, RPMBUILD_RMSPEC, RPMBUILD_TRACK, rpmCheckPassPhrase(), rpmcliConfigured(), rpmcliFini(), rpmcliInit(), rpmcliInstall(), rpmcliInstallCheck(), rpmcliInstallOrder(), rpmcliInstallRun(), rpmcliPipeOutput, rpmcliQuery(), rpmcliRootDir, rpmcliSign(), rpmcliVerify(), rpmDBArgs, rpmDefineMacro(), rpmErase(), rpmExpandNumeric(), rpmIArgs, rpmIncreaseVerbosity, rpmInstallSource(), rpmIsVerbose, RPMPROB_FILTER_FORCERELOCATE, RPMPROB_FILTER_IGNOREARCH, RPMPROB_FILTER_IGNOREOS, RPMPROB_FILTER_OLDPACKAGE, RPMPROB_FILTER_REPLACEPKG, RPMQV_ALL, RPMQV_HDLIST, RPMQV_PACKAGE, rpmQVKArgs, rpmRollback(), RPMSIGN_ADD_SIGNATURE, RPMSIGN_CHK_SIGNATURE, RPMSIGN_DEL_SIGNATURE, RPMSIGN_IMPORT_PUBKEY, RPMSIGN_NEW_SIGNATURE, RPMSIGN_NONE, rpmspecQuery(), RPMTRANS_FLAG_ALLFILES, RPMTRANS_FLAG_JUSTDB, RPMTRANS_FLAG_NODOCS, RPMTRANS_FLAG_NOFDIGESTS, RPMTRANS_FLAG_NOSCRIPTS, RPMTRANS_FLAG_NOTRIGGERS, RPMTRANS_FLAG_TEST, rpmtsCreate(), rpmtsFree(), rpmtsInitDB(), rpmtsRebuildDB(), rpmtsSetRootDir(), rpmtsSetVSFlags(), rpmtsVerifyDB(), rpmBuildArguments_s::shortCircuit, rpmBuildArguments_s::sign, rpmQVKArguments_s::sign, Stat(), rpmQVKArguments_s::transFlags, URL_IS_UNKNOWN, urlIsURL(), rpmQVKArguments_s::verify, VERIFY_ALL, VERIFY_DIGEST, VERIFY_FDIGEST, VERIFY_HDRCHK, VERIFY_SIGNATURE, xmalloc(), xrealloc(), and xstrdup().

static void printUsage | ( | poptContext | con,
|  | FILE * | fp,
|  | int | flags |
| ) |  |  | `[static]`

Definition at line 169 of file rpmqv.c.

References printVersion(), and rpmIsVerbose.

Referenced by main().

static void printVersion | ( | FILE * | fp | ) | `[static]`

Definition at line 159 of file rpmqv.c.

References __progname, RPM_NAME, rpmEVR, rpmIsVerbose, rpmlibTimestamp(), rpmlibVendor(), and rpmlibVersion().

Referenced by printUsage().

## Variable Documentation

const char* __progname

Definition at line 7 of file poptALL.c.

struct poptOption optionsTable[]`[static]`

Definition at line 85 of file rpmqv.c.